<?php
	//Pedro 17/Mayo/2019
		//Si el pago no es por pasarela, no hacemos nada, para ello tenemos en la configuración un array con los parámetros:
	$pasarela = $me->getDefaultValue('pasarela', false);
	if ($pasarela){
			
		$id_txt_finalizar = RemoteRequest::generateRandomString(6);
		$id_btn_finalizar = RemoteRequest::generateRandomString(6);
		$id_form_finalizar = RemoteRequest::generateRandomString(6);
		$id_check_finalizar = RemoteRequest::generateRandomString(6);


		//Vamos a crear un script:
		ob_start();


		?>
		<script>
		$('#<?=$id_btn_finalizar;?>').hide();
		$('#<?=$id_txt_finalizar;?>').show();
		$('#<?=$id_form_finalizar;?>').submit();
		</script>
		<?php
		$script = ob_get_clean();
		$script = WSMinificator::removeTag(array('<script>', '</script>'), $script);
		$script = WSMinificator::simpleClean($script);
		?>
		<form action="<?=$me->url_pago;?>" method="post" class="form_pasarela" id="<?=$id_form_finalizar;?>">
			<input type="hidden" name="Ds_SignatureVersion" value="<?=$me->getDefaultValue('Ds_SignatureVersion'. '');?>" >
			<input type="hidden" name="Ds_MerchantParameters" value="<?=$me->getDefaultValue('Ds_MerchantParameters', '');?>" >
			<input type="hidden" name="Ds_Signature" value="<?=$me->getDefaultValue('Ds_Signature', '');?>" >
			<input type="checkbox" required="required" class="aceptar_pago" id="<?=$id_check_finalizar;?>" name="aceptar_pago" onchange="var boton = document.getElementById('<?=$id_btn_finalizar;?>');if (this.checked){boton.removeAttribute('disabled');}else{boton.setAttribute('disabled', false);}">
			<label for="<?=$id_check_finalizar;?>"><?=traducir('He leído y acepto los ');?><a href="<?=Shop::$configuracion->url;?>condiciones_venta"><?=traducir('Términos y Condiciones de compra.');?></a></label>
		</form>

		<div class="boton_finalizar" >
			<div class="clase_estado_cesta" style="display:none;" id="<?=$id_txt_finalizar;?>"> <p class="alert alert-success"><?=traducir('Vamos a redirigirte a la pasarela. Espera por favor.');?></p></div>
			<button type="button" id="<?=$id_btn_finalizar;?>" name="continuar" class="boton btn" title="<?=traducir('Debes aceptar los términos y condiciones');?>" disabled="disabled" onclick="<?=$script;?>">
				<span><?=traducir('Pagar pedido');?></span>
			</button>
		</div>

<?php
	}
?>